Skip to content

Market News

This endpoint is used to retrieve news information for a specific market, returning a list of news articles in the specified language and market.


HTTP Request

bash
GET /market/v1/{market}/news?lang={lang}

Query Parameters

NameTypeRequiredDescription
pageintNoCurrent page number, 1 as default
page_sizeintNoNumber of items per page, 20 as default
marketenumYesMarket code. See supported values in the market enum definition.
langstringNoLanguage code (e.g., en, zh, ja, etc.), en as default

Optional Request Headers

Header NameTypeRequiredDescription
Accept-LanguagestringNoPreferred language (e.g., en, zh,ja, etc.)

cURL Example

bash
curl --location --request GET '{$base_url}/market/v1/dcex/news?lang=en&page=1&page_size=10' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142003' \
--header 'Accept-Language: en'

Successful Response Format

Description of the response data fields.

NameTypeDescription
headlinestringNews headline
contentstringContent (article link)
momentstringPublish time (UTC)
product_idsstring[]Related crypto symbols

Sample Success Response

json
{
  "code": 0,
  "data": {
    "total_records": 2,
    "page": 1,
    "page_size": 20,
    "news": [
      {
        "headline": "Bitcoin reaches new all-time high amid institutional adoption",
        "content": "https://xxxxxx.com/news/062706614.html",
        "moment": "2025-05-29T06:27:06Z",
        "product_ids": ["BTC-USDT"]
      },
      {
        "headline": "Ethereum 2.0 staking rewards increase as network upgrades",
        "content": "https://xxxxxx.com/news/061900055.html",
        "moment": "2025-05-29T06:19:00Z",
        "product_ids": ["ETH-USDT", "LTC-USDT"]
      }
    ]
  }
}

Sample Error Response

json
{
  "code": 14010012,
  "message": "Internal server error"
}